cdac.medinfo.sdk.hl7282.utils

## Enum EnumLogMode

- java.lang.Object
- - java.lang.Enum<EnumLogMode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumLogMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumLogMode>

      public enum EnumLogMode
      extends java.lang.Enum<EnumLogMode>

  This enum represents logging mode. Enumerated Values : ON - Logging mode is ON. If the user enables logging then data is logged into log file. OFF- Logging mode as OFF. If the user disables logging mode then data is not logged into log file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOGGING_DISSABLED` Enum constant to indicate logging is disabled.
    `LOGGING_ENABLED` Enum constant to indicate logging is enabled

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumLogMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumLogMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGGING_ENABLED

          public static final EnumLogMode LOGGING_ENABLED

      Enum constant to indicate logging is enabled

    - #### LOGGING_DISSABLED

          public static final EnumLogMode LOGGING_DISSABLED

      Enum constant to indicate logging is disabled.

  - ### Method Detail

    - #### values

          public static EnumLogMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumLogMode c : EnumLogMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumLogMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Log Mode .